Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_HUloc", function(self)
	local texts = {}
	local file_names = {
		"PD2HU/contactnames.lua",
		"PD2HU/contact/fwb.lua",
		"PD2HU/contact/nightclub.lua",
		"PD2HU/contact/ukran.lua",
		"PD2HU/contact/cookoff.lua",
		"PD2HU/contact/mallcrash.lua",
		"PD2HU/SafeHouse/Trophies.lua",
		"PD2HU/SafeHouse/Menu.lua",
		"PD2HU/achievement.lua",
		"PD2HU/blt.lua",
		"PD2HU/Action_Key.lua",
		"PD2HU/Bot_Custom.lua",
		"PD2HU/Crew_AI.lua",
		"PD2HU/Chat.lua",
		"PD2HU/Casino.lua",
		"PD2HU/CrimeSpree.lua",
		"PD2HU/Dialog.lua",
		"PD2HU/End_Heist.lua",
		"PD2HU/HUD.lua",
		"PD2HU/Loadout.lua",
		"PD2HU/Menu_Contact_Crimenet.lua",
		"PD2HU/menu_Crimenet.lua",
		"PD2HU/Menu_inside_lobby.lua",
		"PD2HU/Menu_Inventory.lua",
		"PD2HU/menu_lobby.lua",
		"PD2HU/menu_lobby_filters.lua",
		"PD2HU/Menu_Main.lua",
		"PD2HU/Menu_Option.lua",
		"PD2HU/Menu_Option_Control.lua",
		"PD2HU/Menu_Option_Control_EditKey.lua",
		"PD2HU/Menu_Option_Network.lua",
		"PD2HU/Menu_Option_Sound.lua",
		"PD2HU/Menu_Option_Video.lua",
		"PD2HU/Menu_Option_Video_Advanced.lua",
		"PD2HU/No_location.lua",
		"PD2HU/PAYDAY_CardPick.lua",
		"PD2HU/Screen.lua",
		"PD2HU/Steam_inventory.lua",
		"PD2HU/System_text.lua",
		"PD2HU/INVENTORY/Armor.lua",
		"PD2HU/INVENTORY/Character.lua",
		"PD2HU/INVENTORY/Equip.lua",
		"PD2HU/INVENTORY/Gun_inventory.lua",
		"PD2HU/INVENTORY/INVENTORY_info.lua",
		"PD2HU/INVENTORY/Mask_inventory.lua",
		"PD2HU/INVENTORY/Melee_Weapon.lua",
		"PD2HU/INVENTORY/Stat.lua",
		"PD2HU/INVENTORY/Throw.lua",
		"PD2HU/PERK/Armorer.lua",
		"PD2HU/PERK/Burglar.lua",
		"PD2HU/PERK/Crew-Chief.lua",
		"PD2HU/PERK/Crook.lua",
		"PD2HU/PERK/Ex_president.lua",
		"PD2HU/PERK/Gambler.lua",
		"PD2HU/PERK/Grinder.lua",
		"PD2HU/PERK/Hitman.lua",
		"PD2HU/PERK/Infiltrator.lua",
		"PD2HU/PERK/Muscle.lua",
		"PD2HU/PERK/Perk_all.lua",
		"PD2HU/PERK/Perk_info.lua",
		"PD2HU/PERK/Rogue.lua",
		"PD2HU/PERK/Sociopath.lua",
		"PD2HU/PERK/Yakuza.lua",
		"PD2HU/Skills/Mastermind_skill.lua",
		"PD2HU/Skills/Enforcer_skill.lua",
		"PD2HU/Skills/Technician_skill.lua",
		"PD2HU/Skills/Ghost_skill.lua",
		"PD2HU/Skills/Fugitive_skill.lua",
		"PD2HU/Skills/Skill_info.lua",
	}
	for _,filename in pairs(file_names or {})do
		local fo = io.open(filename,"r")
		if fo then
			local txt = fo:read("*a")
			io.close(fo)
			if txt and type(txt) == "string" then
				local data = assert(loadstring("return {\n"..txt.."\n}"))()
				for i,v in pairs(data)do
					if v ~= "" then
						texts[i] = v
					end
				end
			end
		end
	end
	self:add_localized_strings(texts)
end)

function LocalizationManager.text( self, str, macros )

	-- log( "Localizer: " .. tostring(Localizer.__index) )
	-- log( "SystemInfo:language():key(): " )
	-- lang_mods[Idstring("german"):key()]
	-- lang_mods[Idstring("french"):key()]
	-- lang_mods[Idstring("italian"):key()]
	-- lang_mods[Idstring("spanish"):key()]
	-- lang_mods[Idstring("english"):key()]

	if self._custom_localizations[str] then
		local return_str = self._custom_localizations[str]
		self._macro_context = macros
		return_str = self:_localizer_post_process( return_str )
		self._macro_context = nil
		if macros and type(macros) == "table" then
			for k, v in pairs( macros ) do
				return_str = return_str:gsub( "$" .. k, v)
			end
		end
		return return_str
	end
	return self.orig.text(self, str, macros)

end
